<?php
session_start();?>
<?php if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');} ?>
<?php
// require('../cfg/cfg.php');
// require('../cfg/res.php');
require('../../_lib/vrdocu0.php');
require('../../_lib/numedocu.php');
include('php_gene1.php');
include('php_session.php');

$xacceso=0;
// $sql_acce='select * from usrdoc1 where docu like "'.trim($_POST['docu']).'" and nuev="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
// $sql_acce='select * from usrdoc1 where docu like "'.trim($_POST['docu']).'" and nuev="1" and(user="'.$_SESSION['user_vcrx_id'].'" or cedula="'.$_SESSION['user_vcrx_id'].'" or codigo="'.$_SESSION['user_vcrx_id'].'") ';
// $res_acce=mysql_query($sql_acce,$link_vcrx);

$sql_acce='select * from acce12 where nuev=1 and docum like "'.trim($_POST['docu']).'" and numero="'.$user_codigo.'"';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if(mysql_num_rows($res_acce)!=0){$xacceso=1;}

if(mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}

if($_SESSION['user_vcrx_tipo']==''){die('SU SESION EXPIRO');}


// die(' PRUEBA SISTEMAS');

if ($xacceso==0)
{
  echo 'NO TIENE ACCESO PARA REGISTRAR '.$_POST['docu'];
  die('<resultado><error_docu>1</error_docu><error_descri>No tiene acceso a para registar :'.$_POST['docu'].'</error_descri></resultado>' );
}	

// echo $_POST['enti2'];
// echo $_POST['nvdd'];



$docu=strtoupper($_POST['docu']);
$ptoe=$_POST['ptoe'];
$numero=$_POST['numero'];
$fecha=$_POST['fecha'];
$fecha2=$_POST['fecha2'];
$enti=$_POST['enti'];
$enti2=$_POST['enti2'];
$nvdd=$_POST['nvdd'];
$benefic=strtoupper(trim($_POST['benefic']));
$concepto=strtoupper(trim($_POST['concepto']));
$ptov=$_POST['ptov'];
$caja=$_POST['caja'];
$ctab=$_POST['ctab'];
$bode=$_POST['bode'];
$bod2=$_POST['bod2'];
$cab2=$_POST['cab2'];
$plazo=$_POST['plazo'];
$attn=$_POST['attn'];
$atencion=$_POST['atencion'];
$valor=$_POST['valor'];
$bcos=$_POST['bcos'];
$zsub=$_POST['zsub'];
$vndd=$_POST['vndd'];
$atrzdate=$_POST['atrzdate'];
$atrztime=$_POST['atrztime'];
$atrzruc=$_POST['atrzruc'];
$atrznume=$_POST['atrznume'];
$suco=$_POST['suco'];
$fpag=$_POST['fpag'];
$itnum=$_POST['itnum'];
$item=$_POST['item'];
$docum=strtoupper($_POST['docum']);
$numer=$_POST['numer'];
$ptoem=$_POST['ptoem'];
$cant=abs($_POST['cant']);
$puni=$_POST['puni'];
$base=$_POST['base'];
$porc=$_POST['porc'];
$dcto1=$_POST['dcto1'];
$dcto=$_POST['dcto'];
$prop=$_POST['prop'];
$ssid=$_POST['ssid'];
$ice=$_POST['ice'];
$iva=$_POST['iva'];
$irbp=$_POST['irbp'];
$pvp1=$_POST['pvp1'];
$ctas=$_POST['ctas'];
$debito=$_POST['debito'];
$credito=$_POST['credito'];
$csub=$_POST['csub'];
$cambio=$_POST['cambio'];

$cntn=$_POST['cntn'];
$chasis=$_POST['chasis'];
$cntnf1=$_POST['cntnf1'];
$cntnf2=$_POST['cntnf2'];
$envio=$_POST['envio'];

$vhcl=$_POST['vhcl'];
$motivo=$_POST['motivo'];
$cedula1=$_POST['cedula1'];
$punto1=$_POST['punto1'];
$punto2=$_POST['punto2'];
$numfac=$_POST['numfac'];


$punio=$_POST['punio'];
$punia=$_POST['punia'];
$impo=$_POST['impo'];
$detalle=strtoupper($_POST['detalle']);
$numserie=strtoupper($_POST['numserie']);
$cair=$_POST['cair'];
$sntr=$_POST['sntr'];
$vhcl2=$_POST['vhcl2'];
$drtr=$_POST['drtr'];
$bldn=$_POST['bldn'];
$refnume=$_POST['refnume'];

$aplidocu=$_POST['aplidocu'];
$apliptoe=$_POST['apliptoe'];
$aplinumero=$_POST['aplinumero'];

$enti2=$_POST['enti2'];
$sueldo=$_POST['sueldo'];
$poranti=$_POST['poranti'];
$valanti=$_POST['valanti'];
$iess=$_POST['iess'];
$reloj=$_POST['reloj'];
$atraso=$_POST['atraso'];
$falta=$_POST['falta'];
$h25=$_POST['h25'];
$h50=$_POST['h50'];
$h100=$_POST['h100'];
$de13=$_POST['de13'];
$de14=$_POST['de14'];
$fres=$_POST['fres'];
$cargo=$_POST['cargo'];

$lamina=$_POST['lamina'];
$largo=$_POST['largo'];
$ancho=$_POST['ancho'];
$puli=$_POST['puli'];
$saqu0=$_POST['saqu0'];
$saqu1=$_POST['saqu1'];
$saqu2=$_POST['saqu2'];
$perfor1=$_POST['perfor1'];
$saques1=$_POST['saques1'];
$perf0=$_POST['perf0'];
$perf1=$_POST['perf1'];
$perf2=$_POST['perf2'];
$seri1=$_POST['seri1'];
$seri2=$_POST['seri2'];



if(mb_stristr('XC00.XP00',$docu))
{
  $puni=$cant;
  $cant=1;
}

if($puni<0){$valdcto=$puni;}
// if($puni<0){$puni=abs($puni);$dcto=99.99;}

if($lamina==0){$lamina=$cant;}

$ptoe=str_pad($ptoe,6,"0",STR_PAD_LEFT);
$ptoem=str_pad($ptoem,6,"0",STR_PAD_LEFT);
if ($ptoem=='000000'){$ptoem='001001';}

$numero=alltrim($numero);
$numero=str_pad($numero,9,"0",STR_PAD_LEFT);
$numer=str_pad($numer,9,"0",STR_PAD_LEFT);


$atrzdate=str_replace('/','',$atrzdate);
$atrzdate=str_replace('-','',$atrzdate);
$atrzdate=str_replace('.','',$atrzdate);

$atrztime=str_replace(':','',$atrztime);
$atrztime=str_replace('.','',$atrztime);

$itnum=$itnum*1;
$item=trim($item);
$ctas=trim($ctas);
$docum=strtoupper(trim($docum));

$sql_empr='select * from empr1';
$res_empr=mysql_query($sql_empr,$link_vcrx);
$empr_ruc=mysql_result($res_empr,0,'empr_ruc');
$empr=mysql_result($res_empr,0,'empr_codigo');


// $sql_dtr1='select * from cont1 where docu like "DTR%" and status!="O" and status!="X" order by fecha desc limit 1';
// $res_dtr1=mysql_query($sql_dtr1,$link_vcrx);
// $fechatr=@mysql_result($res_dtr1,0,'fecha');
// if(empty($fechatr)){$fechatr='2010-12-31';}

// VALIDA DOCU
$tdocu=substr($docu,0,2);
$sql_docu='select * from docu0 where docu_codigo="'.$docu.'"';
$res_docu=mysql_query($sql_docu,$link_vcrx);


if($res_docu==0)
{die('Error en DOCU');}


$apuni=0;

$autonum=mysql_result($res_docu,0,'docu_autonum');
$autofec=mysql_result($res_docu,0,'docu_autofec');

// DOCU

$tabla=strtolower(mysql_result($res_docu,0,'docu_tabla'));
$tabla1=$tabla.'1';
$tabla2=$tabla.'2';

$fechamin=date('Y-m-d',strtotime('-30 days'));
$fechamax=date('Y-m-d',strtotime('+3 days'));

if(mb_stristr('cont',$tabla))
{
  $fechamin=date('Y-01-01',strtotime('-12 month'));
  $fechamax=date('Y-12-31',strtotime('+12 month'));
}

if(mb_stristr('bcos',$tabla))
{
  $fechamax=date('Y-m-t',strtotime('+12 month'));
}

if($fecha<$fechamin and $fecha>$fechamax)
{$fecha=date('Y-m-d');}

if (mb_stristr('enm1',$empr_codigo))
{
  $fechamin=date('Y-m-d',strtotime('-300 days'));
  $fechamax=date('Y-m-d',strtotime('+3 days'));
}



if(strlen($enti)!=13 and strlen($enti)!=10 and strlen($enti)!=0)
{if ($tdocu=='DB'){$enti='9999999999999';}}

// if(strlen($enti)!=10 and strlen($enti)!=0){die('Error en ENTI');}

if (mb_stristr('apri',$empr_codigo)){}
else{
if(strlen($enti)!=13  && strlen($enti)!=10 && strlen($enti)!=0){$enti='9999999999999';}
}

// if(mb_stristr('vtas.comp.inve.prod.clie.prov',$tabla)
// {if(strlen($item)<6 ){die('Error en ITEM');}}
if (mb_stristr('vtas.comp.inve.prod.clie.prov.',$tabla))
{
      if(strlen($item)>0 && strlen($item)<6)
      {
         $item='100005';
      }
 
}


// VALIDA PTO EMI

if (mb_stristr('vtas.clie',$tabla))
{
	$apuni=mysql_result($res_docu,0,'docu_apuni');
	
	if (mb_stristr('FC',$tdocu)){
	$ptoe='';
	$sql_ptov='select * from ptov0 where ptov_codigo="'.$ptov.'"';
	$res_ptov=mysql_query($sql_ptov,$link_vcrx);
	$ptoe=mysql_result($res_ptov,0,'ptov_ptoe');
	if($ptoe==''){die('Error en PTOV');}
	}
	
	if (mb_stristr('NC',$tdocu)){if($ptoe==''){die('Error en PTOE');}	}
	
}

if (mb_stristr('inve',$tabla))
{
	$ptoe='';
	$sql_bode='select * from bode0 where bode_codigo="'.$bode.'"';
	$res_bode=mysql_query($sql_bode,$link_vcrx);
	$ptoe=mysql_result($res_bode,0,'bode_ptoe');
	if($ptoe==''){die('Error en BODE');}
}

if ($tdocu=="EB13")
{if($bod2==''){die('Error en BODE DESTINO');}}

if (mb_stristr('prod',$tabla))
{
	$ptoe='';
	$sql_bode='select * from bode0 where bode_codigo="'.$bode.'"';
	$res_bode=mysql_query($sql_bode,$link_vcrx);
	$ptoe=mysql_result($res_bode,0,'bode_ptoe');
	if($ptoe==''){die('Error en BODE');}
}

if (mb_stristr('caja.cjte',$tabla))
{
	$ptoe='';
	$sql_caja='select * from caja0 where caja_codigo="'.$caja.'"';
	$res_caja=mysql_query($sql_caja,$link_vcrx);
	$ptoe=mysql_result($res_caja,0,'caja_ptoe');
	//echo $sql_caja;
	if($ptoe==''){die('Error en CAJA');}
}

// if (mb_stristr('ctab0',$tabla))
// {$ptoe='001'.substr($ctab,0,-3);}


if (mb_stristr('bcos',$tabla))
{
//   $ptoe='001'.substr($ctab,0,-3);
    $ptoe=r_fiel('ctab',$ctab,'ptoe');
}



if (mb_stristr('nomi',$tabla))
{
  $ptoe='001001';
}

if (mb_stristr('rolp.nvdd',$tabla))
{
  $numero='0'.str_replace('-','',$fecha);
}




if (mb_stristr('FP.NP.NC',$tdocu))
{}


if(strlen($ptoe)!=6 and strlen($ptoe)!=0){die('Error en PTOE');}


//$sql_ptoe='select * from ptoe0 where ptov_codigo="'.$ptoe.'"';
//$res_ptoe=mysql_query($sql_ptov,$link_vcrx);


if ($ptoe==''){$ptoe='001001';}


if(substr($ptoe,3,1)=='1' and substr($docu,0,2)=='FC')
{
// 		$numero=nume_docu($docu,$ptoe);
// 		$numero++;
  $autonum='1';
}

if (mb_stristr('nomi',$tabla))
{
		$numero=nume_docu($docu,$ptoe);
// 		$numero++;
}

if(empty($numero) || $numero=='0' || $numero=='000000000')
{
	if($autonum=='1')
	{
		$numero=nume_docu($docu,$ptoe);
// 		$numero++;
	}
}

if($numero==0){die('ERROR EN NUMERO'.$numero);}

$numero=str_pad($numero, 9, "0", STR_PAD_LEFT);

if($autofec==1){$fecha=date("Y-m-d");}




if (mb_stristr('vtas.comp.inve.prod.clie.prov.caja.bcos.dxco.dxpa',$tabla))
{
  if(strlen($enti)==0){die('ERROR EN ENTIDAD'.$numero);}
}




$sql_enti='select * from enti0 where enti_codigo="'.$enti.'"';
$res_enti=mysql_query($sql_enti,$link_vcrx);

$sql_item='select * from item0 where item_codigo="'.$item.'"';
$res_item=mysql_query($sql_item,$link_vcrx);

//echo $sql_item;

if (mb_stristr('vtas.clie',$tabla))
{
	if($puni==0){$apuni=1;}
}

if($drtr==""){$drtr=@mysql_result($res_enti,0,'enti_referidox');}

if($apuni==1)
{
  $puni=@mysql_result($res_item,0,'item_puni');
  $iva=@mysql_result($res_item,0,'item_iva');
  $ice=@mysql_result($res_item,0,'item_ice');
  $irbp=@mysql_result($res_item,0,'item_irbp');
}
if(empty($puni)){$puni=1/10;}


if(($cant)==0){$cant=1;}
//if(intval($puni)==0){$puni=1/10;}
if(intval($ice)==0){$ice=0;}
if(intval($dcto1)==0){$dcto1=0;}
// 	else{$dcto=$dcto1;}
if(intval($dcto)==0){$dcto=0;}
if($dcto==0){$dcto=$dcto1;}
if(intval($iva)==0){$iva=0;}
if(($irbp)==0){$irbp=0;}
if(intval($prop)==0){$prop=0;}
if(intval($ssid)==0){$ssid=0;}

if($cair==""){$cair=@mysql_result($res_item,0,'item_cair');}

if(intval($valanti)==0){$valanti=0;}
if(intval($poranti)==0){$poranti=0;}




/*
if($res_item==0)
{die('Error en ITEM!');}
*/


$sql_ctas='select * from ctas0 where enti_codigo=" '.$ctas.'"';
// $res_ctas=mysql_query($sql_ctas,$link_vcrx);
/*
if($res_ctas==0)
{die('Error en CTAS');}
*/


$sql_tabla='select * from '.$tabla1.' where docu="'.$docu.'" ';
$sql_tabla.=' and ptoe="'.$ptoe.'"';
$sql_tabla.=' and numero="'.$numero.'"';

if(mb_stristr('FP.RC.',$tdocu))
{$sql_tabla.=' and enti="'.$enti.'"';}

$sql_tabla.=' and status!="X"';

if (mb_stristr('nomi',$tabla))
{
  // $fecha2=$fecha;	
  $enti2=$enti;	
  // $enti=$empr_ruc;	
  // $sql_upd1.=' enti="'.$enti.'", ';
  $sql_tabla='select * from '.$tabla1.' where enti like "'.substr($enti,0,10).'%"  ';
  $sql_tabla.=' and status!="X"';
  $sql_tabla.=' order by fecha desc, enti';
}

$res_tabla=mysql_query($sql_tabla,$link_vcrx);
$sql_tabla11=str_replace($tabla1,$tabla1.'1',$sql_tabla);


// echo '***********************prueba';
// echo $sql_tabla;

if(mysql_num_rows($res_tabla)==0)
{
	$sql_itabla='insert into '.$tabla1.'(docu,ptoe,numero,fecha,enti,status,iuser,idate) value("'.$docu.'","'.$ptoe.'","'.$numero.'","'.$fecha.'","'.$enti.'","-","'.$_SESSION['user_vcrx_id'].'",now())';
	$res_itabla=mysql_query($sql_itabla,$link_vcrx);
// 	echo $sql_itabla;
}


$res_tabla=mysql_query($sql_tabla,$link_vcrx);
$idnum=mysql_result($res_tabla,0,'idnum1');
$status=mysql_result($res_tabla,0,'status');
$stfin=mysql_result($res_tabla,0,'stfin');
// echo ' <input type="text" id="hdd_idxreg" value="'.$idnum.'"  /> ';
if($stfin==1){return 'Documento Finalizado';}

$sql_upd1='update '.$tabla1.' set ';
$sql_upd1.=' fecha="'.$fecha.'",';
if($enti!=""){$sql_upd1.=' enti="'.$enti.'",';}

if (mb_stristr('FP',$tdocu))
{
	if($atrznume<'1000000000'){$atrznume='';}
	if(strlen(trim($atrznume))<10){$atrznume='';}
	$sql_upd1.=' plazo="'.$plazo.'",';
	$sql_upd1.=' fpag="'.$fpag.'",';
	$sql_upd1.=' suco="'.$suco.'",';
	$sql_upd1.=' atrz="'.$atrznume.'",';
	$sql_upd1.=' atrznume="'.$atrzdate.$atrztime.$atrzruc.$atrznume.'",';
	if($empr_codigo=='rcsa' || $empr_codigo=='demo')
	{$sql_upd1.=' sntr="'.$sntr.'", ';}
}

if (mb_stristr('FC.NV.PC.PF',$tdocu))
{
  $sql_upd1.=' plazo="'.$plazo.'",';
  $sql_upd1.=' attn="'.$attn.'",';
  $sql_upd1.=' atencion="'.$atencion.'",';
  $sql_upd1.=' fpag="'.$fpag.'",';
  $sql_upd1.=' ptov="'.$ptov.'", ';
  $sql_upd1.=' zsub="'.$zsub.'", ';
  $sql_upd1.=' vndd="'.$vndd.'", ';

// 	if($empr_codigo=='rcsa' || $empr_codigo=='demo')
  if(mb_stristr('ecgl.',$empr_codigo))
	{$sql_upd1.=' refnume="'.$refnume.'", ';}
//$sql_upd1.=' dcto="'.$dcto.'", ';
}

if (mb_stristr('GR',$tdocu))
{
  $fecha2=date('Ymd',strtotime($fecha.' '.$plazo.'  days'));
// 	$fecha=date('Ymd',strtotime('360 days'));
    
  $sql_upd1.=' plazo="'.$plazo.'",';
  $sql_upd1.=' fecha1="'.$fecha.'",';
  $sql_upd1.=' fecha2="'.$fecha2.'",';
  $sql_upd1.=' placa="'.$vhcl.'",';
  $sql_upd1.=' concepto="'.$concepto.'",';
  $sql_upd1.=' motivo="'.$motivo.'",';
  $sql_upd1.=' cedula1="'.$cedula1.'",';
  $sql_upd1.=' cedula2="'.$enti.'",';
  $sql_upd1.=' punto1="'.$punto1.'",';
  $sql_upd1.=' punto2="'.$punto2.'",';
  $sql_upd1.=' numfac="'.$numfac.'",';
}



if (mb_stristr('OP',$tdocu))
{
  $sql_upd1.=' plazo="'.$plazo.'",';
}


if (mb_stristr('NC.NP',$tdocu))
{
  $sql_upd1.=' todocu="'.$aplidocu.'",';
  $sql_upd1.=' toptoe="'.$apliptoe.'", ';
  $sql_upd1.=' tonume="'.$aplinumero.'", ';
}


if (mb_stristr('inve',$tabla))
{
$sql_upd1.=' bode="'.$bode.'", ';
if(substr($docu,3,4)=="3")
{
//   $sql_upd1.=' tobode="'.$bod2.'", ';
  $sql_upd1.=' bode2="'.$bod2.'", ';
}
}

if (mb_stristr('prod',$tabla))
{$sql_upd1.=' bode="'.$bode.'", ';}



if (mb_stristr('rolp,nvdd',$tabla))
{
// $sql_upd1.=' enti="'.$enti.'", ';
}


// if($docum=="")
// {
// 	if(mb_stristr('I',substr($docu,0,1))){$docum="FC10";}
// 	if(mb_stristr('E',substr($docu,0,1)))	{$docum="FP10";}
// 	$ptoem="001001";
// 	$numer="999999999";
// 	if($cant==0){$cant=$valor;}
// }


if (mb_stristr('caja',$tabla))
{
     $sql_upd1.=' caja="'.$caja.'", ';
     $sql_upd1.=' caba2="'.$cab2.'", ';
	if($numer!="")
	{
		if ($docum=="" and mb_stristr('I',substr($docu,0,1))){$docum="FC10";}
		if ($docum=="" and mb_stristr('E',substr($docu,0,1))){$docum="FP10";}
		if ($ptoem==""){$ptoem="001001";}
	}
}


if (mb_stristr('caja.bcos.retc.retp',$tabla))
{if($docum=='' and $ctas==''){$cant=0;}}

if (mb_stristr('comp',$tabla))
{
     $sql_upd1.=' fechadocu="'.$fecha.'", ';
//      $sql_upd1.=' fechacont="'.$fecha.'", ';
}




if (mb_stristr('bcos',$tabla))
{
     $sql_upd1.=' ctab="'.$ctab.'", ';
     $sql_upd1.=' caba2="'.$cab2.'", ';
     $sql_upd1.=' benefic="'.$benefic.'", ';
	if($numer!="")
	{
		if ($docum=="" and mb_stristr('DC',substr($docu,0,2))){$docum="FC10";}
		if ($docum=="" and mb_stristr('CH.DP',substr($docu,0,1))){$docum="FP10";}
		if ($ptoem==""){$ptoem="001001";}
	}
}

// echo '*/*/*/*/'.$sql_upd1;

if (mb_stristr('retc',$tabla))
{
//      $sql_upd1.=' caja="'.$caja.'", ';
	if($numer!="")
	{
		if ($docum==""){$docum="FC10";}
		if ($ptoem==""){$ptoem="001001";}
	}
}

if (mb_stristr('retp',$tabla))
{
//      $sql_upd1.=' caja="'.$caja.'", ';
	if($numer!="")
	{
		if ($docum==""){$docum="FP10";}
		if ($ptoem==""){$ptoem="001001";}
	}
}

$sql_upd1.=' concepto="'.$concepto.'" ';
$sql_upd1.=' where idnum1='.$idnum.'';
// echo $sql_upd1;
$res_upd1=mysql_query($sql_upd1,$link_vcrx);


$sql_upd1='update '.$tabla1.' set ';
$sql_upd1.=' claveacc=null ';
$sql_upd1.=' where idnum1='.$idnum.'';
// $res_upd1=mysql_query($sql_upd1,$link_vcrx);


// CAMPOS EXTRAS
$sql_upd1='update '.$tabla1.' set ';
// $sql_upd1.=' fecha="'.$fecha.'",';
if (mb_stristr('rcsa.demo',$empr_codigo))
{
  $sql_upd1.=' sntr="'.$sntr.'", ';
  $sql_upd1.=' vhcl="'.$vhcl.'", ';
}

if (mb_stristr('gnya.gmny.leie.demo.dly1',$empr_codigo))
{$sql_upd1.=' drtr="'.$drtr.'", ';}

if (mb_stristr('apri',$empr_codigo))
{$sql_upd1.=' bldn="'.$bldn.'", ';}

$sql_upd1.=' concepto="'.$concepto.'" ';
$sql_upd1.=' where idnum1='.$idnum.'';
// echo $sql_upd1;
$res_upd1=mysql_query($sql_upd1,$link_vcrx);

//echo '<input type="hidden" id="sql_upd1" value="'.$sql_upd1.'" />';


// if (mb_stristr('vtas.comp.clie.prov.inve.prod',$tabla))
// {if($item==""){die('ERROR EN ITEM.!');}}

// if (mb_stristr('vtas.comp.clie.prov.inve.prod',$tabla))
// {if($item==""){die('ERROR EN ITEM!!!!');}}

// if (mb_stristr('nomi',$tabla))
// {if($item==""){die('ERROR EN ITEM!!!!!');}}

$sql_tabla='select idnum2, max(iddet) as middet from '.$tabla2.' where idnum2="'.$idnum.'"';
$res_tabla=mysql_query($sql_tabla,$link_vcrx);

$detaok=1;
$iddet=1;
if ($res_tabla!=0){$iddet=mysql_result($res_tabla,0,'middet')+1;}

if (mb_stristr('nomi',$tabla))
{
		$sql_tabla='delete from '.$tabla2.' where idnum2="'.$idnum.'" and enti2 is null ';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);

		$sql_tabla='delete from '.$tabla2.' where idnum2="'.$idnum.'" and fecha2 is null ';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);

// 		$sql_tabla='select idnum2, min(iddet) as middet from '.$tabla2.' where idnum2="'.$idnum.'" and enti2="'.$enti2.'"';
		$sql_tabla='select idnum2, min(iddet) as middet from '.$tabla2.' where idnum2="'.$idnum.'" and fecha2="'.$fecha2.'"';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);

		if ($res_tabla!=0){$iddetn=mysql_result($res_tabla,0,'middet');}
		if ($iddetn!=0){$iddet=$iddetn;}
}	


$sql_tabla='insert into '.$tabla2.'(idnum2,iddet) value("'.$idnum.'","'.$iddet.'")';
// $res_tabla=mysql_query($sql_tabla,$link_vcrx);

$sql_upd2='update '.$tabla2.' set ';

if(mb_stristr('vtas.comp.clie.prov',$tabla))
{
  if($item==""){$detaok=0;}	
  if($envio!=0)
  {
    $st1=$cant*$puni*(1-$dcto/100)+$envio;
    $st2=$st1+($cant*$puni*$dcto/100);
    $dcto=(1-($st1/$st2))*100;
    $puni=$st2/$cant;
  }

  $sql_upd2.=' item="'.$item.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' puni='.$puni.', ';
  if(mb_stristr('vtas.comp.clie.prov',$tabla))
  {
  $sql_upd2.=' dcto='.$dcto.', ';
  $sql_upd2.=' prop='.$ssid.', ';
  $sql_upd2.=' ssid='.$prop.', ';
  $sql_upd2.=' ice='.$ice.', ';
  $sql_upd2.=' iva='.$iva.', ';
  $sql_upd2.=' irbp='.$irbp.', ';
  }

    if (mb_stristr('vtas.clie',$tabla))
    {
      if(mb_stristr('pcs1.prs1.idm1.idmt',$empr_codigo))
      {
      $sql_upd2.=' cntn="'.$cntn.'", ';
      $sql_upd2.=' cntnf1="'.$cntnf1.'", ';
      $sql_upd2.=' cntnf2="'.$cntnf2.'", ';
      }

      if(mb_stristr('tgck',$empr_codigo))
      {
      $sql_upd2.=' vhcl="'.$vhcl2.'", ';
      }

      if(mb_stristr('ecgl',$empr_codigo))
      {
      $sql_upd2.=' itnum="'.$itnum.'", ';
      $sql_upd2.=' lmns="'.$lamina.'", ';
      $sql_upd2.=' mm_l="'.$largo.'", ';
      $sql_upd2.=' mm_a="'.$ancho.'", ';
      $sql_upd2.=' mm_a="'.$ancho.'", ';
      $sql_upd2.=' puli="'.$puli.'", ';
      $sql_upd2.=' saqu0="'.$saqu0.'", ';
      $sql_upd2.=' saqu1="'.$saqu1.'", ';
      $sql_upd2.=' saqu2="'.$saqu2.'", ';
      $sql_upd2.=' perfor1="'.$perfor1.'", ';
      $sql_upd2.=' saques1="'.$saques1.'", ';
      $sql_upd2.=' perf0="'.$perf0.'", ';
      $sql_upd2.=' perf1="'.$perf1.'", ';
      $sql_upd2.=' perf2="'.$perf2.'", ';
      $sql_upd2.=' seri1="'.$seri1.'", ';
      $sql_upd2.=' seri2="'.$seri2.'", ';
      }

    }
}
	
if (mb_stristr('guia',$tabla))
{
  if($item==""){$detaok=0;}	
  $sql_upd2.=' item="'.$item.'", ';
  $sql_upd2.=' cant="'.$cant.'", ';
}


if (mb_stristr('comp',$tabla))
{
// esto funciona bien con DIE  
//   if($puni<0){$detaok=0; die 'ERROR en UNITARIO';}	
  
  $sql_upd2.=' ctas="'.$ctas.'", ';
  $sql_upd2.=' cair="'.$cair.'", ';
}

if (mb_stristr('inve',$tabla))
{
  if($item==""){$detaok=0;}	
  $sql_upd2.=' item="'.$item.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' numserie="'.$numserie.'", ';// graba numero de serie
  if (mb_stristr('IB',$tdocu))
  {$sql_upd2.=' puni='.$puni.', ';}
  if (mb_stristr('EB',$tdocu))
  {$sql_upd2.=' puni=1, ';
  // confirmar el costo
  }
  if (substr($docu,2,2)=="11")
  {$sql_upd2.=' cambio="'.$cambio.'", ';}
}

if (mb_stristr('prod',$tabla))
{
  if($item==""){$detaok=0;}	
  $sql_upd2.=' item="'.$item.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' puni='.$puni.', ';
  $sql_upd2.=' numserie="'.$numserie.'", ';// graba numero de serie
}


$sql_vdocu='';
if (mb_stristr('retc',$tabla)){$sql_vdocu='select * from vtas1';}
if (mb_stristr('retp',$tabla)){$sql_vdocu='select * from comp1';}
if (mb_stristr('IE.IC.DC',$tdocu)){$sql_vdocu='select * from vtas1';}
if (mb_stristr('EE.CH.DP',$tdocu)){$sql_vdocu='select * from comp1';}
$sql_vdocu.=' where status!="X" and status!="O" and docu="'.$docum.'" and ptoe="'.$ptoem.'" and numero="'.$numer.'" and enti like "'.$enti.'%"';

if (mb_stristr('caja.cjte',$tabla))
{
  if (($docum=="" and $ctas=="") or $cant==0){$detaok=0;}	
  if ($detaok==1)
  {
    $res_vdocu=mysql_query($sql_vdocu,$link_vcrx);
  // 	if (mysql_num_rows($res_vdocu)==0){$detaok=0;}
  }
  $sql_upd2.=' docum="'.$docum.'", ';
  $sql_upd2.=' ptoem="'.$ptoem.'", ';
  $sql_upd2.=' numer="'.$numer.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' ctas="'.$ctas.'", ';
  // $sql_upd2.=' puni=1, ';
}

if (mb_stristr('bcos',$tabla))
{
  if (($docum=="" and $ctas=="") or $cant==0){$detaok=0;}	
  if ($detaok==1)
  {
    $res_vdocu=mysql_query($sql_vdocu,$link_vcrx);
  // 	if (mysql_num_rows($res_vdocu)==0){$detaok=0;}
  }
  $sql_upd2.=' docum="'.$docum.'", ';
  $sql_upd2.=' ptoem="'.$ptoem.'", ';
  $sql_upd2.=' numer="'.$numer.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' ctas="'.$ctas.'", ';
  // $sql_upd2.=' puni=1, ';
}

if (mb_stristr('dxco.dxpa',$tabla))
{
//   $puni=$cant;
  $cant=1;
//   if (($docum=="" and $ctas=="") or $cant==0){$detaok=0;}	
  if ($detaok==1)
  {
    $res_vdocu=mysql_query($sql_vdocu,$link_vcrx);
  // 	if (mysql_num_rows($res_vdocu)==0){$detaok=0;}
  }
  $sql_upd2.=' docum="'.$docum.'", ';
  $sql_upd2.=' ptoem="'.$ptoem.'", ';
  $sql_upd2.=' numer="'.$numer.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' puni='.$puni.', ';
  $sql_upd2.=' ctas="'.$ctas.'", ';
//   $sql_upd2.=' puni=1, ';
}


if (mb_stristr('retc.retp',$tabla))
{
  if ($docum==""){$detaok=0;}	
  if ($detaok==1)
  {
    $res_vdocu=mysql_query($sql_vdocu,$link_vcrx);
    if (mysql_num_rows($res_vdocu)==0){$detaok=0;}
  //   echo '***'.$empr_codigo;
    if(mb_stristr('demo.amay',$empr_codigo)){$detaok=1;}
  //   echo '***'.$detaok;
  }

  $sql_upd2.=' docum="'.$docum.'", ';
  $sql_upd2.=' ptoem="'.$ptoem.'", ';
  $sql_upd2.=' numer="'.$numer.'", ';
  $sql_upd2.=' cair="'.$cair.'", ';
  $sql_upd2.=' cant='.$base.', ';
  $sql_upd2.=' puni='.$porc.', ';
}

if (mb_stristr('nomi',$tabla))
{
  $sql_upd2.=' enti2="'.$enti2.'", ';
  $sql_upd2.=' fecha2="'.$fecha2.'", ';
  $sql_upd2.=' sueldo="'.$sueldo.'", ';
  $sql_upd2.=' valanti='.$valanti.', ';
  $sql_upd2.=' poranti='.$poranti.', ';
  // $sql_upd2.=' iess='.$iess.', ';
  $sql_upd2.=' reloj='.$reloj.', ';
  $sql_upd2.=' atraso='.$atraso.', ';
  $sql_upd2.=' falta='.$falta.', ';
  $sql_upd2.=' h025='.$h25.', ';
  $sql_upd2.=' h050='.$h50.', ';
  $sql_upd2.=' h100='.$h100.', ';
  $sql_upd2.=' de13='.$de13.', ';
  $sql_upd2.=' de14='.$de14.', ';
  $sql_upd2.=' fres='.$fres.', ';
  $sql_upd2.=' cargo="'.$cargo.'", ';
	
//   echo '****'.$sql_upd2;
}	



if (mb_stristr('rolp.nvdd',$tabla))
{
  if ($enti2==""){$enti2=$enti;}	
  // if ($nvdd==""){$nvdd=$nvdd1;}	
  if ($enti2=="" || $nvdd==""){$detaok=0;}
  if(mb_stristr('NOV1.NOV3',$docu)){$detaok=0;}
//   if(mb_stristr('1025.1026.1027.1041.1042',substr($nvdd,0,4)))
  {
    $sueldo=get_sueldo($enti2,$fecha);
    $sueldoh=$sueldo/120;
    if(mb_stristr('1025',substr($nvdd,0,4))){$puni=$sueldoh*1.25;}
    if(mb_stristr('1026',substr($nvdd,0,4))){$puni=$sueldoh*1.50;}
    if(mb_stristr('1027',substr($nvdd,0,4))){$puni=$sueldoh*2;}
    if(mb_stristr('1041.1042',substr($nvdd,0,4)) and $puni=0){$puni=$sueldoh;}
    if($puni==0){$puni=$sueldoh;}
  }
//   echo '******';
//   echo $sueldo;
//   echo $sueldoh;
//   echo $nvdd;
//   $puni=20;
    
  $sql_upd2.=' enti2="'.$enti2.'", ';
  $sql_upd2.=' nvdd="'.$nvdd.'", ';
  $sql_upd2.=' cant='.$cant.', ';
  $sql_upd2.=' puni='.$puni.', ';
}




if (mb_stristr('cont',$tabla))
{
  $difer=0;
  // echo '****'.str_replace('cont1','cont11',$sql_tabla);
  if ($ctas==""){$detaok=0;}	
    $cant=$debito-$credito;
  if ($cant==0)
    {
      $sql_tabla11='select sum(cant) as diferencia from cont2 where idnum2="'.$idnum.'"';
      $res_tabla11=mysql_query($sql_tabla11,$link_vcrx);
      $difer=mysql_result($res_tabla11,0,'diferencia')*-1;
      $cant=$difer;
    }	
    $sql_upd2.=' ctas="'.$ctas.'", ';
    $sql_upd2.=' cant='.$cant.', ';
}

$sql_upd2.=' detalle="'.$detalle.'" ';
$sql_upd2.=' where idnum2="'.$idnum.'" and iddet="'.$iddet.'"';


// echo '*/*/*/'.$detaok;
// echo $sql_upd2;
// echo '*/*/*/'.$detaok;
// echo mysql_error();

if ($detaok==1)
{
	$res_tabla=mysql_query($sql_tabla,$link_vcrx);
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
  
//   echo '<error>'. '*/*/*'.mysql_error($link_vcrx).'</error>';
	
// if($item==""){$detaok=0;}	
// $sql_upd2.=' item="'.$item.'", ';
// $sql_upd2.=' cant='.$cant.', ';
// $sql_upd2.=' puni='.$puni.', ';
// $sql_upd2.=' dcto='.$dcto.', ';
// $sql_upd2.=' ice='.$ice.', ';
// $sql_upd2.=' iva='.$iva.', ';
// $sql_upd2.=' irbp='.$irbp.', ';
	
	if (mb_stristr('vtas.comp.clie.prov.inve.prod.',$tabla))
	{
		$sql_item='select * from item0 where item_codigo="'.$item.'"';
		$res_item=mysql_query($sql_item,$link_vcrx);
		$apuni=mysql_result($res_item,0,'item_puni');
		$aiva=mysql_result($res_item,0,'item_iva');
		$apcp1=mysql_result($res_item,0,'item_pcp1');
		$adesc=mysql_result($res_item,0,'item_descri');

		$sql_item ='update item0 set ';
		if (mb_stristr('vtas.clie',$tabla) and $apuni==0)
		{$sql_item.='item_puni="'.$puni.'",';}

		if (mb_stristr('comp.prov.inve.',$tabla) and $apcp1==0 and substr($item,0,4)!='9900')
		{$sql_item.='item_pcp1="'.$puni.'",';}

		if((mb_stristr($adesc,'*** NUEV') or $adesc=="" ) and $detalle!="")
		{
      $sql_item.='item_descri="'.$detalle.'",';
      if($aiva==0)
      {$sql_item.='item_iva="'.$iva.'",';}
    }
		
		$sql_item.='item_status=item_status ';
		$sql_item.='where item_codigo="'.$item.'"';
		$res_item=mysql_query($sql_item,$link_vcrx);

	}

}
// echo '***********'.$sql_upd2;
// echo '---------'.mysql_error();


if (mb_stristr('demo.gnya.leie',$_SESSION['user_vcrx_empr']))
{
	if(mb_stristr('FC.OP',substr($docu,0,2)))
	{	
		if($fecha>="2016-08-22" and $fecha<="2016-08-27")
		{
// 			$sql_dcto=' select *,sum(tsubt)as promo from '.$tabla.'12 where idnum1="'.$idnum.'"';
// 			$res_dcto=mysql_query($sql_dcto,$link_vcrx);
// 			$promo=mysql_result($res_dcto,0,'promo');
// 			$dcto=30;
// 			if ($promo>=236.84){$dcto=40;}
// 			$sql_dcto=' update '.$tabla.'2 set dcto='.$dcto.' where iva>0 and idnum2="'.$idnum.'"';
// 			$res_dcto=mysql_query($sql_dcto,$link_vcrx);
		}
	}
}	


if (mb_stristr('demo.gnya',$_SESSION['user_vcrx_empr']))
{
	if(mb_stristr('OP.FC',substr($docu,0,2)))
	{	
		if($fecha>="2016-10-25" and $fecha<="2016-10-28")
		{
			$sql_dcto='update '.$tabla.'2 set dcto=0 where iva>0 and idnum2="'.$idnum.'"';
			$res_dcto=mysql_query($sql_dcto,$link_vcrx);
		}
	}
}			
		







// echo $sql_upd2;	
// echo '<input type="hidden" id="tdocu" value="'.$tdocu.'" />';
echo '<resultado>';
echo '<hdd_idxnumero>'.$numero.'</hdd_idxnumero>';
echo '<hdd_idxidnum>'.$idnum.'</hdd_idxidnum>';
// echo '<hdd_iderror>'.$sql_upd2.'</hdd_iderror>';
echo '</resultado>`';

vali_regidocu($docu,$idnum);

ecgl_calc1($docu,$idnum);
pcs1_calc1($docu,$idnum);

if(mb_stristr('NOV1.NOV2.NOV3',$docu))
{
  gen_contab($docu,$idnum);
}  


?>
